snap-1.0.0.2: Top-level package for the Snap Web Framework

Safe Haskell | None
Language | Haskell98

Snap.Snaplet.Config

Synopsis

- newtype AppConfig = AppConfig {
  - appEnvironment :: Maybe String
  }
- appOpts :: AppConfig -> [OptDescr (Maybe (Config m AppConfig))]
- commandLineAppConfig :: MonadSnap m => Config m AppConfig -> IO (Config m AppConfig)

# Documentation

newtype AppConfig Source #

AppConfig contains the config options for command line arguments in snaplet-based apps.

Constructors

AppConfig |

Fields

- appEnvironment :: Maybe String

Instances

Monoid AppConfig Source # |
Methods mempty :: AppConfig # mappend :: AppConfig -> AppConfig -> AppConfig # mconcat :: [AppConfig] -> AppConfig #

appOpts :: AppConfig -> [OptDescr (Maybe (Config m AppConfig))] Source #

Command line options for snaplet applications.

commandLineAppConfig :: MonadSnap m => Config m AppConfig -> IO (Config m AppConfig) Source #

Calls snap-server's extendedCommandLineConfig to add snaplet options to the built-in server command line options.